@import '~@angular/material/theming';

@mixin ibid-app-component-theme($theme) {
  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);

  .blueprint{
    background-color: mat-color($accent);
    background-image:
      linear-gradient(rgba(255,255,255,.1) 2px, transparent 2px),
      linear-gradient(90deg, rgba(255,255,255,.1) 2px, transparent 2px),
      linear-gradient(rgba(255,255,255,.05) 1px, transparent 1px),
      linear-gradient(90deg, rgba(255,255,255,.05) 1px, transparent 1px);
    background-size: 100px 100px, 100px 100px, 20px 20px, 20px 20px;
    background-position: -2px -2px, -2px -2px, -1px -1px, -1px -1px;
  }
  
  .blueprint-overlay{
    margin: 0 2px;
    background-color: rgba(255,255,255,.1);
    background-image:
      linear-gradient(rgba(255,255,255,.1) 1px, transparent 1px),
      linear-gradient(90deg, rgba(255,255,255,.1) 1px, transparent 1px),
      linear-gradient(rgba(255,255,255,.05) 0.5px, transparent 0.5px),
      linear-gradient(90deg, rgba(255,255,255,.05) 0.5px, transparent 0.5px);
    background-size: 10px 10px, 10px 10px, 2px 2px, 2px 2px;
    background-position: -1px -1px, -1px -1px, -0.5px -0.5px, -0.5px -0.5px;
    box-shadow: 0 1px 5px rgba(0,0,0,0.3);
  }

  mat-sidenav-container {
    mat-toolbar {
      button {
        &.active {
          color: mat-color($accent, default-contrast);
          background-color: mat-color($accent);
        }
      }

      .link {
        color: mat-color($primary, default-contrast);
      }
    }

    mat-sidenav {
      .mat-list-item {
        &.active {
          color: mat-color($accent, default-contrast);
          background-color: mat-color($accent) !important;

          &:hover {
            background-color: mat-color($accent, darker) !important;
          }
        }
      }
      .mat-expansion-panel {
        @extend .font-background;
        .mat-expansion-panel-body{
          padding: 0.1em 0 0.1em;
        }
        &:hover {
          color: mat-color($accent, default-contrast);
          background-color: mat-color($accent) !important;
        }
      }
    }
  }
}